package com.bonus.core.drp.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel
public class RefundRepairInventoryDetailDTO {
   @ApiModelProperty("商品明细id")
   private Long supermarketDetailId;
   @ApiModelProperty("库存id")
   private Long inventoryId;
   @ApiModelProperty("售卖类型(1按份，2称重)")
   private Integer salesMode;
   @ApiModelProperty("退款数量")
   private BigDecimal refundNum;

   public Long getSupermarketDetailId() {
      return this.supermarketDetailId;
   }

   public Long getInventoryId() {
      return this.inventoryId;
   }

   public Integer getSalesMode() {
      return this.salesMode;
   }

   public BigDecimal getRefundNum() {
      return this.refundNum;
   }

   public void setSupermarketDetailId(final Long supermarketDetailId) {
      this.supermarketDetailId = supermarketDetailId;
   }

   public void setInventoryId(final Long inventoryId) {
      this.inventoryId = inventoryId;
   }

   public void setSalesMode(final Integer salesMode) {
      this.salesMode = salesMode;
   }

   public void setRefundNum(final BigDecimal refundNum) {
      this.refundNum = refundNum;
   }
}
